:root {
  --white: #fff;
  --black: #000;
  --almost-black: #1c1c1c;
  --giulipas-blue: #1342f0;
  --dark-grey: #464545;
  --medium-grey: #707070;
  --light-grey: #d3d3d3;
}

.wp-block-button {}
  
	.wp-block-button__link {
		transition: all 0.5s ease;
		border: 1px solid;
	}

	.wp-block-button__link:hover { text-decoration: none; }


.is-style-ghost-default .wp-block-button__link,
.is-style-ghost-primary .wp-block-button__link,
.is-style-filled-default .wp-block-button__link,
.is-style-filled-primary .wp-block-button__link { text-transform: uppercase; }

.is-style-cta-arrow .wp-block-button__link,
.is-style-cta-arrow .wp-block-button__link { text-transform: none; }


/* Ghost button */
.is-style-ghost-default .wp-block-button__link,
.is-style-ghost-primary .wp-block-button__link { background-color: transparent; }

.is-style-ghost-default .wp-block-button__link {
	color: var(--almost-black);
	border-color: var(--almost-black);
}

.is-style-ghost-default .wp-block-button__link:hover {
	color: var(--white);
	background-color: var(--almost-black);
}


.is-style-ghost-primary .wp-block-button__link {
	color: var(--giulipas-blue);
	border-color: var(--giulipas-blue);
}

.is-style-ghost-primary .wp-block-button__link:hover {
	color: var(--white);
	background-color: var(--giulipas-blue);
}


/* Button */
.is-style-filled-default .wp-block-button__link {
	color: var(--white);
	background-color: var(--almost-black);
	border-color: var(--almost-black);
}

.is-style-filled-default .wp-block-button__link:hover {
	color: var(--almost-black);
	background-color: transparent;
}


.is-style-filled-primary .wp-block-button__link {
	color: var(--white);
	background-color: var(--giulipas-blue);
	border-color: var(--giulipas-blue);
}

.is-style-filled-primary .wp-block-button__link:hover {
	color: var(--giulipas-blue);
	background-color: transparent;
}
